curl --request GET \
--url https://api.growthchannel.io/domain/?date_from=2024-01-01&date_to=2024-01-07&advertiser_id=544
Public endpoints
Domain Report
Get domain performance data aggregated by domain.
GET
/
domain
/
?date_from=
{date_from}
&date_to=
{date_to}
&advertiser_id=
{advertiser_id}
curl --request GET \
--url https://api.growthchannel.io/domain/?date_from=2024-01-01&date_to=2024-01-07&advertiser_id=544
Maximum date range 365 days
This endpoint is public and does not require an API key for access.
curl --request GET \
--url https://api.growthchannel.io/domain/?date_from=2024-01-01&date_to=2024-01-07&advertiser_id=544
Method
GETEndpoint
/domain/Headers
string
required
The agency’s API key for authorization. Contact an admin to get one.
Parameters
string
required
Start date in YYYY-MM-DD format.
string
required
End date in YYYY-MM-DD format.
integer
required
The unique identifier for the advertiser.
integer
default:"0"
Page number for pagination.
string
default:"impressions"
Column to sort by.
string
default:"DESC"
Sort order (ASC/DESC).
integer
Filter by a specific campaign ID.
string
Filter by domain type (if applicable).
Responses
- 200 OK
- 400 Bad Request
- 401 Unauthorized
- 500 Internal Server Error
{
"data": [
{
"domain": "example.com",
"impressions": 1200,
"clicks": 45,
"total_conversions": 3,
"video_audio_views": 300,
"video_audio_complete": 190,
"total_revenue": 120.30,
"total_spend": 56.00,
"cpm": 46.67,
"cpc": 1.24,
"cpa": 18.67,
"cpv": 0.18,
"roas": 2.15,
"vcr": 63.3,
"ctr": 3.75
}
],
"pagination": {
"current_page": 0,
"total_pages": 5,
"total_count": 100
}
}
array
An array of domain performance objects.
Returned if required query parameters like
date_from or date_to are missing.{
"error": {
"code": "VALIDATION_ERROR",
"message": "Missing required parameters",
"details": {
"missing_fields": ["date_from", "date_to"]
},
"request_id": "..."
}
}
Returned if the advertiser validation fails.
Returned if there is an unexpected error on the server while fetching data.
